local t = Def.ActorFrame {
	LoadFont("System") .. {
		Text=ProductVersion();
		OnCommand=cmd(x,SCREEN_RIGHT-20;y,SCREEN_TOP+20;horizalign,right;shadowlength,0);
	};
--[[ 	LoadFont("System") .. {
		OnCommand=cmd(x,SCREEN_LEFT+20;y,SCREEN_TOP+20;horizalign,left;shadowlength,0;playcommand,"Set");
		SetCommand=function(self)
			local fmt = THEME:GetString( "ScreenTitleMenu", "%d songs in %d groups, %d courses in %d groups" )
			local text = string.format( fmt, SONGMAN:GetNumSongs(), SONGMAN:GetNumSongGroups(), SONGMAN:GetNumCourses(), SONGMAN:GetNumCourseGroups() )

			if PREFSMAN:GetPreference("UseUnlockSystem") then
				text = text .. string.format(", %d unlocks", UNLOCKMAN:GetNumUnlocks() )
			end
			self:settext( text )
		end;
	}; --]]
    LoadFont("System") .. {
        OnCommand=cmd(x,SCREEN_LEFT+20;y,SCREEN_TOP+20;horizalign,left;shadowlength,0;playcommand,"Set");
        SetCommand=function(self)
            local value = SONGMAN:GetNumSongs();
            local group = SONGMAN:GetNumSongGroups();
            self:settext("Songs: "..value.." ("..group.." Groups)");
        end;
    };
    LoadFont("System") .. {
        OnCommand=cmd(x,SCREEN_LEFT+20;y,SCREEN_TOP+36;horizalign,left;shadowlength,0;playcommand,"Set");
        SetCommand=function(self)
            local value = SONGMAN:GetNumCourses();
            local group = SONGMAN:GetNumCourseGroups();
            self:settext("Courses: "..value.." ("..group.." Groups)");
        end;
    };
	LoadFont("System") .. {
		Text="Game: "..GAMESTATE:GetCurrentGame():GetName();
		OnCommand=cmd(x,SCREEN_RIGHT-20;y,SCREEN_TOP+36;horizalign,right;shadowlength,0);
	};
}

return t;
